<!--
SPDX-FileCopyrightText: 2022 Patrick Spek <p.spek@tyil.nl>

SPDX-License-Identifier: AGPL-3.0-or-later
-->

# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

### Added

- The `var` subcommand is now referenced in `usage()`.
- A `pkg` subcommand has been added, to allow for direct interaction with the
  `pkg_*()` utilities provided by Bashtard.
- `config_subkeys()` and `config_subkeys_for` have been added, to look up
  subkeys defined in config files. These can help when you want to use a list
  somewhere in your configuration.
- A `backup` subcommand has been added. This backup system uses borg, which must
  be installed, but should be generic enough to be usable by most people out of
  the box.
- The `Makefile` has been extended with targets for creating packages for
  GNU+Linux distributions.
- The `$BASHTARD_PLATFORM` variable now contains an additional entry, `init`, to
  allow for handling different init systems on GNU+Linux in a cleaner fashion.

### Changed

- The `ssh` subcommand's configuration has been nested under `bashtard`, e.g.
  `ssh.host` is now `bashtard.ssh.host`. It should also be correctly using this
  value for establishing the SSH connection.
- `svc_enable()` now checks for the `rc.d` file to exist before running `grep`
  on it.
- `pkg_*()` functions no longer _require_ a `pkg.*` value to be defined. If one
  is not set explicitly, a warning will be generated, but the original name
  passed to the `pkg_*()` function will be used by the host's package manager.
- `datetime()` now always passes `-u` on to `date`.
- All manpages now include a `NAME` section.

## [1.0.0] - 2022-05-06

Initial release.
